Retrieve a PaymentSession
Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.
All HTTP operationsPOST
header
X-Publishable-Key<token>Tenant publishable key for authentication (sent via X-Publishable-Key header)
Accept?"application/vnd.01software.portone-action-capabilities.v1+json"Opt in to Standard V2 action capability literals with this exact single media type. Lists, wildcards, parameters, and q-values do not opt in and receive the released exact action projection.
Value in
"application/vnd.01software.portone-action-capabilities.v1+json"application/json- body
paymentSessionId*stringLength
1 <= length <= 255checkoutToken*stringLength
1 <= length <= 512Retrieve a PaymentSession result
- response
id*stringLength
1 <= lengthmoney*expiresAt*|Format
date-timeprovider*"toss"Value in
"toss"providerStatus*stringValue in
"requires_payment_method""requires_action"sessionRole*"active"Value in
"active"presentationStatus*"actionable"Value in
"actionable"finalizationStatus*"not_ready"Value in
"not_ready"nextAction*reconciliation*order*|Value in
nullExamples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.
curl -X POST 'https://api.01.software/api/payment-sessions/retrieve' \ -H 'Content-Type: application/json' \ -d '{ "paymentSessionId": "string", "checkoutToken": "string"}'Example Response
{ "id": "string", "money": { "amountMinor": 0, "currency": "string" }, "expiresAt": "2019-08-24T14:15:22Z", "provider": "toss", "providerStatus": "requires_payment_method", "sessionRole": "active", "presentationStatus": "actionable", "finalizationStatus": "not_ready", "nextAction": { "type": "toss_widget", "clientKey": "string", "paymentMethodVariantKey": "string", "agreementVariantKey": "string", "providerOrderId": "string", "providerCustomerKey": "string", "orderName": "string", "customerName": "string", "customerEmail": "user@example.com" }, "reconciliation": { "status": "none" }, "order": null}